import { Document, Schema, model } from 'mongoose';

export interface SAAInterface extends Document {
  userID: string,
  applicationID: string,
  serviceCode: string,
  edsToken: string,
}

const SAA: Schema = new Schema({
  userID: String,
  applicationID: String,
  serviceCode: String,
  edsToken: String,
});

export default model<SAAInterface>('SAA', SAA);
